shibboleth-2.6.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

shibsp::SecurityPolicy Member List

This is the complete list of members for shibsp::SecurityPolicy, including all inherited members.

getApplication() const | shibsp::SecurityPolicy |
getMetadataProviderCriteria() const (defined in shibsp::SecurityPolicy) | shibsp::SecurityPolicy |
SecurityPolicy(const Application &application, const xmltooling::QName *role=nullptr, bool validate=true, const char *policyId=nullptr) | shibsp::SecurityPolicy |
~SecurityPolicy() (defined in shibsp::SecurityPolicy) | shibsp::SecurityPolicy | virtual